### Name: dp.interp
### Title: Areal interpolation using precalculated weights
### Aliases: dp.interp
### Keywords: spatial

### ** Examples


data(bgvals)
data(cabgbbmat)
data(cabggpc)
data(damrats)
data(fpdemogpc)
data(rbgarea)
data(polytobg)

#Get areal weights in various forms:

fire1 <- arealw(fpdemogpc[[1]],trimout=TRUE)  #single trimmed matrix
fire3 <- arealw(fpdemogpc[[3]],trimout=FALSE) #single untrimmed vector

#length 2 list of trimmed matrices.
both <- mult.arealw(target.ind=c(1,3), targetlist = fpdemogpc, trimout=TRUE)

#n by 2 matrix of cbound vectors:
bothfat <- mult.arealw(target.ind=c(1,3),targetlist=fpdemogpc,trimout=FALSE)

#Give input in the form of:

#One 'trim' matrix:
dp.interp(fire1,trimmedin=TRUE)

#One full length vector:
dp.interp(fire3,trimmedin=FALSE)

#A list of 'trim' matrices:
lapply(both, dp.interp, trimmedin=TRUE)

#A matrix of bound untrimmed vectors:
dp.interp(bothfat, trimmedin=FALSE)




