### Name: mult.arealw
### Title: Areal weights for multiple target polygons
### Aliases: mult.arealw
### Keywords: spatial

### ** Examples


data(cabgbbmat)
data(cabggpc)
data(fpdemogpc)
data(rbgarea)
data(polytobg)

#Get two areal weights independently using arealw:

fire1 <- arealw(fpdemogpc[[1]],trimout=TRUE)
fire3 <- arealw(fpdemogpc[[3]],trimout=TRUE)

#Stick them together and see if they match the output of mult.arealw, which 
#does them at the same time:

stucktogether <- list(fire1,fire3)

both <- mult.arealw(target.ind=c(1,3), targetlist = fpdemogpc, trimout=TRUE)

attributes(stucktogether) <- NULL
attributes(both) <- NULL

#should be true:
identical(both, stucktogether)




